- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/list.md.txt#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/list.md.txt#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/list.md.txt#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/list.md.txt#try-it)

Lists creatives as they are at the time of the initial request. This call may take multiple hours to complete. For large, paginated requests, this method returns a snapshot of creatives at the time of request for the first page. `lastStatusUpdate` and `creativeServingDecision` may be outdated for creatives on sequential pages. We recommend [Google Cloud Pub/Sub](https://cloud.google.com/pubsub/docs/overview) to view the latest status.

### HTTP request

`GET https://realtimebidding.googleapis.com/v1/{parent=bidders/*}/creatives`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the parent buyer that owns the creatives. The pattern for this resource is either `buyers/{buyerAccountId}` or `bidders/{bidderAccountId}`. For `buyers/{buyerAccountId}`, the `buyerAccountId` can be one of the following: 1. The ID of the buyer that is accessing their own creatives. 2. The ID of the child seat buyer under a bidder account. So for listing creatives pertaining to the child seat buyer (`456`) under bidder account (`123`), you would use the pattern: `buyers/456`. 3. The ID of the bidder itself. So for listing creatives pertaining to bidder (`123`), you would use `buyers/123`. If you want to access all creatives pertaining to both the bidder and all of its child seat accounts, you would use `bidders/{bidderAccountId}`, for example, for all creatives pertaining to bidder (`123`), use `bidders/123`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. The server may return fewer creatives than requested (due to timeout constraint) even if more are available through another call. If unspecified, server will pick an appropriate default. Acceptable values are 1 to 1000, inclusive. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `ListCreativesResponse.nextPageToken` returned from the previous call to the 'creatives.list' method. Page tokens for continued pages are valid for up to five hours, counting from the call to 'creatives.list' for the first page. |
| `filter` | `string` Query string to filter creatives. If no filter is specified, all active creatives will be returned. Example: 'accountId=12345 AND (dealsStatus:DISAPPROVED AND disapprovalReason:UNACCEPTABLE_CONTENT) OR declaredAttributes:IS_COOKIE_TARGETED' |
| `view` | ``enum (`CreativeView`)`` Controls the amount of information included in the response. By default only `creativeServingDecision` is included. To retrieve the entire `creative resource` (including the declared fields and the creative content) specify the view as "FULL". |
| `adCategoryTaxonomyOverride` | ``enum (`AdCategoryTaxonomy`)`` Optional. The category taxonomy to use for the response. Overrides the default category taxonomy for the bidder. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `ListCreativesResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`